## groovy.mock.interceptor
Class StrictExpectation

Expects demanded call cardinalities to match demanded ranges in the sequence of recording.

:
  See LooseExpectation

author:
  Dierk Koenig

Field Summary
`int` | `fCallSpecIdx`
`List` | `fCalls`
`Demand` | `fDemand`

Constructor Summary
`StrictExpectation(Demand demand)`

Method Summary
`Closure` | `match(String name)` Match the requested method name against eligible demands.
`void` | `verify()` verify all calls are in expected range

Constructor Detail

### StrictExpectation

    public StrictExpectation(Demand demand)

Method Detail

### match

    Closure match(String name)

  Match the requested method name against eligible demands. Fail early if no match possible. Return the demand's behavior closure on match.

### verify

    void verify()

  verify all calls are in expected range